"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Env = void 0;
const COMMENT_PREFIX = "#";
const SEPARATER_COMMENT = "=";
const SEPARATER_SPACE = /( |　)+/;
const NEWLINES = /\n|\r|\r\n/;
const isCommentCode = (line) => line.charAt(0) === COMMENT_PREFIX;
class Env {
    constructor(source) {
        this.source = source;
    }
    parse() {
        const result = new Map();
        this.source
            .toString()
            .trim()
            .split(NEWLINES)
            .forEach((line) => {
            const trimmedLine = line.trim();
            if (isCommentCode(trimmedLine))
                return;
            const [key, ...value] = trimmedLine.split(SEPARATER_COMMENT);
            const joinedValue = value
                .join(SEPARATER_COMMENT)
                .split(SEPARATER_SPACE)[0];
            result.set(key, joinedValue);
        });
        return result;
    }
}
exports.Env = Env;
